Загрузка произвольных файлов в WordPress Kish Guest Posting Plugin

Дата публикации:
07.02.2012
Дата изменения:
07.02.2012
Всего просмотров:
1186
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:U/RL:U/RC:C) = Base:10/Temporal:8.5
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Kish Guest Posting Plugin 1.x
Уязвимые версии: WordPress Kish Guest Posting Plugin 1.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной проверки загружаемых файлов в сценарии wp-content/plugins/kish-guest-posting/uploadify/scripts/uploadify.php. Удаленный пользователь может загрузить файл с расширением .gif, содержащий PHP код, и выполнить его на системе с привилегиями Web сервера. Для успешной эксплуатации уязвимости требуется, чтобы Apache был настроен на обработку медиа типов файлов для файлов с расширениями ".jpg" или ".gif".

URL производителя: http://kishpress.com/guest-posting-plugin/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA